Bug 171361 - run numlockx before gdm
run numlockx before gdm
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: numlockx (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 01:41 EDT by John Mahowald
Modified: 2008-05-06 20:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:15:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mahowald 2005-10-21 01:41:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
numlockx ideally would be run before the gdm login screen so users have it when logging in, and in some cases their keyboard LEDs display the correct state.

/etc/X11/xdm/Xsetup_0 has been suggested, but appending to that script cannot be removed easily.

Version-Release number of selected component (if applicable):
numlockx-1.0-4.fc4

How reproducible:
Always

Steps to Reproduce:
boot to runlevel 5

Actual Results:  Numlock off

Expected Results:  Numlock on

Additional info:
Comment 1 Rick James 2005-10-31 11:33:18 EST
Submitting a vote in favor of this change.  (Unless GDM becomes properly 
trained to obey the BIOS setting w.r.t. NumLock state.)

Upon booting systems with USB keyboards the NumLock LED tells a lie at the GDM 
login greeter.  All users here like to use the numeric keypad as a numeric 
keypad and find it doubly irritating when the NumLock state is off when the LED 
says its on.
Comment 2 Dylan Semler 2005-12-08 15:27:46 EST
I don't know how numlockx works but I'm not sure if simply running it before gdm
will do the trick.  In my experience, GDM is determined enough to turn numlock
off even if it has already been turned on.
Comment 3 Rick James 2006-01-31 15:00:16 EST
Here's the trick I've been using to turn numlock on at GDM:

1. Remove /etc/X11/xinit/xinitrc.d/numlockx.sh
2. In /etc/X11/xdm/Xsetup_0 add a line "/usr/bin/numlockx on".

Could the numlockx RPM post-install script be changed to do the same?
Comment 4 Bug Zapper 2008-04-03 12:33:24 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:15:41 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.